Summary: 	SSL2, SSL3, and TLS1 encryption extensions for TCL
Name: 		tcltls
Version: 	1.6
Release: 	%{mkrel 1}
License: 	BSD
Group: 		System/Libraries
URL: 		http://tls.sourceforge.net/
Source0:	http://downloads.sourceforge.net/tls/tls%{version}-src.tar.gz
Patch0:		tcltls-1.6-simpleclient.patch
Patch1:		tcltls-1.6-openssl.patch
Patch2:		tcltls-1.6-no-rpath.patch
BuildRequires:	tcl-devel
BuildRequires:	openssl-devel
Requires:	tcl >= 8.4.11
Requires:	openssl
Obsoletes:	%{mklibname tcltls 1.50}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
Provides SSL2, SSL3, and TLS1 socket encryption functionality
to the TCL interpreted language.
Needed for Sguild

%package	devel
Summary:	SSL2, SSL3, and TLS1 encryption extensions for TCL
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{mklibname tcltls 1.50 -d}

%description	devel
Provides SSL2, SSL3, and TLS1 socket encryption functionality
to the TCL interpreted language. Development headers.

%prep
%setup -q -n tls%{version}
%patch0 -p1 -b .simpleclient
%patch1 -p1 -b .openssl098a
%patch2 -p1 -b .rpath

%build
autoreconf
%configure2_5x \
    --enable-shared \
    --enable-static \
    --enable-gcc \
    --with-gcclib \
    --with-ssl-dir=%{_prefix} \
    --with-tcl=%{_libdir}

%make

make test

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall_std libdir=%{tcl_sitearch} includedir=%{_includedir}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README.txt license.terms tls.htm
%{tcl_sitearch}/tls%{version}

%files devel
%defattr(-,root,root)
%{_includedir}/tls.h




%changelog
* Fri Dec 05 2008 Adam Williamson <awilliamson@mandriva.com> 1.6-1mdv2009.1
+ Revision: 310130
- move to new location per policy
- sync patches with fedora
- dump the whole libification, tcl modules are not shared libraries
- new release 1.6

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5.0-6mdv2009.0
+ Revision: 261432
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5.0-5mdv2009.0
+ Revision: 254233
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.5.0-3mdv2008.1
+ Revision: 140918
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jun 12 2007 Adam Williamson <awilliamson@mandriva.com> 1.5.0-3mdv2008.0
+ Revision: 38329
- correct pkgIndex.tcl (fixes amsn with TCL 8.5)


* Fri Jan 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-2mdv2007.0
+ Revision: 113894
- Import tcltls

* Fri Jan 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-2mdv2007.1
- rebuild

* Fri Dec 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-1mdk
- initial Mandriva package
- added P0 from debian

* Sat Nov 26 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 
- First release

